Bug 1688596

Summary: edk2-ovmf-ia32 is missing OVMF_VARS
Product: [Fedora] Fedora Reporter: Philippe Troin <phil>
Component: edk2Assignee: Paolo Bonzini <pbonzini>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 31CC: berrange, crobinso, kraxel, pbonzini, philmd, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: edk2-20190501stable-2.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-15 18:08:32 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Philippe Troin 2019-03-14 04:50:16 UTC
Description of problem:
edk2-ovmf-ia32 does not provide the OVMF_VARS* files (nvram variables and signature).
This prevents qemu or libvirt from creating a 32bit UEFI instance.

Version-Release number of selected component (if applicable):
edk2-ovmf-ia32-20180815gitcb5f4f45ce-6.fc30.noarch
Also present in F29.

How reproducible:
Always

Steps to Reproduce:
1. Launch a libvirt instance with UEFI i686 BIOS.

Actual results:
VM creation fails at:
Unable to complete install: 'Failed to open file '/usr/share/edk2/ovmf-ia32/OVMF_VARS.fd': No such file or directory'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 75, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/create.py", line 2122, in _do_async_install
    guest.installer_instance.start_install(guest, meter=meter)
  File "/usr/share/virt-manager/virtinst/installer.py", line 415, in start_install
    doboot, transient)
  File "/usr/share/virt-manager/virtinst/installer.py", line 358, in _create_guest
    domain = self.conn.createXML(install_xml or final_xml, 0)
  File "/usr/lib64/python3.7/site-packages/libvirt.py", line 3718, in createXML
    if ret is None:raise libvirtError('virDomainCreateXML() failed', conn=self)
libvirt.libvirtError: Failed to open file '/usr/share/edk2/ovmf-ia32/OVMF_VARS.fd': No such file or directory

Comment 1 Cole Robinson 2019-03-15 17:26:39 UTC
Indeed it seems like we aren't generating ia32 ovmf vars in the rpm build. Patrick, is this just an oversight or does qemu-ovmf-secureboot need extending?

Comment 2 Cole Robinson 2019-07-12 17:13:32 UTC
I misunderstood the issue here, it's just a simple packaging bug that doesn't involve the secureboot enrollment at all

Comment 3 Fedora Update System 2019-07-15 19:58:20 UTC
FEDORA-2019-d47a9d4b8b has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d47a9d4b8b

Comment 4 Fedora Update System 2019-07-16 00:54:29 UTC
edk2-20190501stable-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d47a9d4b8b

Comment 5 Ben Cotton 2019-08-13 17:02:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Ben Cotton 2019-08-13 19:02:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Fedora Update System 2019-08-15 18:08:32 UTC
edk2-20190501stable-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.